WinTel32-Dialup Help

Contents for WinTel32-Dialup Help

To use this help, click the left mouse button on the colored underlined text or use the tab key to highlight the text and press enter. Help is available on following topics:

Introduction to WinTel-Dialup
Connecting and Disconnecting to remote online service
Settings
File transfer
Utilities
Scripts
Edit
Printing and Session Capture
Chat Mode
Troubleshooting
Contact Information


Dialup Introduction

Introduction

WinTel32-Dialup is a full featured communication software that connects you to other computers using serial dialup connection. Following features are included:
  • Phonebook which stores your remote service names, phone numbers and communication settings.
  • File transfer using ASCII, xmodem, xmodem 1k, ymodem batch, zmodem and Kermit protocols .
  • A realtime and an offline JPEG viewer .
  • DEC VT320, VT220, VT102, VT100, VT52, ANSI Color, Wyse50, SCO-ANSI and TTY terminal emulation.
  • Redialing and batch dialing capability.
  • Programmable script language which automates your logins to remote system.
  • Chat mode, which lets you chat with the user at the remote end.
  • Resizeable fonts , scroll back buffer, printing log file and session capture.
  • uuencode and uudecode internet files.
  • Run multiple instances of this application.


Connecting

Connecting to Remote Computer

Open phonebook by selecting phonebook command from either the File menu or Toolbar. Your login session is started by either double clicking an existing entry or by selecting an existing entry in the name listbox and then clicking on the dial button. A dial window would open up showing you the phone number dialed. You can cancel the dial operation by clicking on the Cancel button. The system will inform you once the connection has been established. If you want to dial in batch mode then enable the dial batch check box in the phonebook dialog box. Double click on entries which you want to be added to the batchlist.
 Once you have added all your desired entries to the batchlist, click on the dial button. The system will dial batch numbers sequentially until connection is established.

Dial Option Dialog Box
This dialog box is invoked from the options button in the phonebook. Here you can specify following fields:
Retry dial count
 If you attempt to connect and connection fails (busy line or no reply etc.) then the program would retry to connect. The default number of retries is set to 5 but you can change this field by typing in new number in retry dial count edit box.
 Timeout
 This field tells the system how much time the program should wait for the connection before it times out. The default is set to 60 seconds. But you may modify this field by typing in the new value in the timeout edit box.
Related topics:
Adding a new entry
Phonebook
Opening Communication Port
Troubleshooting


Phonebook

You open phonebook either from the toolbar or by selecting phonebook command in the File menu. A list of all phonebook entries would be shown in the listbox. Here is a summary of all the buttons in the phonebook:
Close
 Removes the phonebook from the display.
 Dial
 Dials a selected entry or batch dials.
 New
 Adds a new entrynewentryhelp in the phonebook.
 Delete
 Deletes a selected entry from the phonebook.
 Copy
 Copies an existing entry to a new entry with a new name and a phone number.
 Autologin
 Executes the Scripts for the selected entry.
 Options
 You select a timeout period for a connection. You can also specify a retry dial count here.
 Batch Dial
 By enabling this option, you can dial numbers stored in the batch list. You make entries to batch dial list by first enabling the batch dial check box. A check mark would appear when enabled. You double click on service name listbox entries. The double clicked entry would be added to the batch list.
 Remove
 You can delete a batch dial entry by first selecting it and then clicking on the remove button.

Related topics:
Adding a new entry
Opening Communication Port
Troubleshooting


Adding entry to phonebook

Adding a New Entry to the Phonebook

To add a new entry to the phonebook, open the phonebook by selecting phonebook command from the file menu. Click on the New button in the phonebook. A Communication setting window would open up. You must already know your required settings for the remote computer with which you want to communicate. Most services publish their communication settings as: 2400,8,N,1. This indicates a 2400 baudbaud modem speed, 8 data bits, no parity and 1 stop bit. If you do not know the port where modem is connected, select check modem port in the Misc. menu. This program will figure out the port for you.

Copy phonebook entry to a new entry

This dialog box is invoked from the copy button of the communication settings dialog box. Once you have created an entry in the phonebook, you can copy all the settings to a new entry. Following controls are provided:
 Service name
 Here you type in your new service name. Note that the maximum number of characters allowed is 8.
 Phone number
 Here you type the phone number of new service.
Phone prefix
 Phone prefix is a number which modem must dial before it dials the actual number. For example many PBX systems require you to dial "9" to obtain a outside line. In this case you would be entering "9" in the phone prefix field.

Related topics:
Opening Communication Port
Troubleshooting


Opening Communication Port

If you want to connect your computer to another computer in the same room or you want the other computer to dial in to your computer, then you must first open a communication port. You do this by making an entry in the phonebook. Follow same steps as you do when you add a new entry to the phonebook but leave the phone number field in the communication settings dialog box as empty and choose the phonetype field to none. Click on the dial button. Your communication channel would open up.
Related topics:
Adding a new entry
Phonebook
Chat Mode
Troubleshooting


Settings

Note: All settings excepting that of color and scroll back buffer apply locally to a given service.
Communication Setting
Modem Setting
Terminal Emulation
Color
Keyboard
Fonts
Default Directory
Protocol


Communication Setting

Communication settings dialog box can be invoked from the phonebook's edit button. This command allows you to define your communication parameters. Here is a list of options available to you:
Cancel
 Removes the box from display
 Name
 Enter your service name. Any text after the space or first eight characters is taken as comment to the service name.
 Phone number
 The phone number of remote computer.
 Phone prefix
 This field is required for an internal phone system to connect to an outside line or to wait for a dialtone. This usually is 9,.
Baud Rate
 Select the speed of your modem. The most common setting is 2400 baud.
 Data Bits
Specify the number of data bits in each data packet exchanged between yours and the remote computer. This field usually is either 8 or 7.
 Parity
 Select the type of parity. Select no parity for 8 data bits and an even/odd parity for 7 data bits.
 Port
 Here you specify your communication port where you have your modem connected. This usually is either 1 or 2.
 Flow Control
This selection specifies which action is to be taken when the incoming data buffer gets full. The default is set for both XON/XOFF and hardware (RTS/CTS) flow control.
 Phone type
 For touch tone phone select phone type as tone. For pulse dialing select pulse and for direct connection and manual dialing select none.

Communication Parameter Dialog Box

 Here you can modify your communication parameters such as databits, parity and stop bit after you have made a connection to an online service. If after connecting, the characters appear to be garbage then modify the communication parameters to 7 databit, even/odd parity and 1 stopbit.
Related topics:
Modem Setting
Terminal Emulation
Color
Keyboard
Fonts
Default Directory
Protocol
Troubleshooting


Terminal Emulation

WinTel32-Dialup can emulate most of the popular terminal types. Perhaps the most popular terminal emulation used in the industry is VT100(ANSI). You select terminal preference either from the communication settings dialog box or from the settings menu. In VT320, VT220, VT102 and VT100 and VT52 mode, your function keys F1 to F4 behave like those of DEC's PF1 to PF4. Keep the Num Lock key down to emulate the DEC VT100 keypad. Codes sent by numeric keypad 9 to . are same as those sent by DEC's VT100 terminal. Keys Pageup, Pagedown, Home, End and Insert emulate DEC’s Prev Screen, Next Screen, Select, Remove and Insert here respectively Function key F5 behaves as a DEC’s DO key. To emulate BBSs graphic characters, choose the terminal fonts from the fonts menu option.

Following options in the terminal preferences may also be selected:
Local Echo
 This option is useful when the remote computer does not echo your typed in characters. This is the case when the remote computer operates in an half duplex mode. Do not make this selection as most computers operate in full duplex mode.
 CR->CR/LF
 Specifying this option enables carriage return and a line feed to be sent to the remote computer when you press an enter key . As most computers send you a linefeed, do not select this option.
Buffer Lines
Here you specify the number of lines this program should save. The default is 200 lines. You may save upto 3000 lines in the buffer for later viewing.
 Terminal Width
 Here you specify width of the terminal. The default is 80 columns.
 Auto Wrap
 Here you specify whether or not text wraps to next line when it reaches right margin. The
 default setting is auto wrap as most of the BBSes assume.
 Display Controls
 Enabling this option would let you view the control codes received for debugging purpose.
 Backspace <-> Delete
 Here you specify whether you want to switch between backspace and delete keys. If this option is selected then when you press the backspace key the program would send the delete key code and vice versa.
 Keypad Application
 For DEC terminals VT52-VT320, a keypad key sends an escape sequence when this option is enabled. This option is enabled by the host for VMS systems. Enable this option if you redefine keypad keys for your purpose.
 Terminal Height
 Here you specify terminal height i.e. page size. The default is 24 lines. The program would change the height of the terminal if you choose "terminal resize" option and the window size changes.
 Resize Option
 This option lets the program either resize the terminal height or scale the font when window size changes. There are three options available to you. Option "None" tells the program not to resize the terminal height or the font size when the window size changes. However, terminal height and/or the font size can still be changed manually. Option "Term" tells the program that the height of the terminal window should resize when the window size changes. Option "Font" tells the program to scale the font size when the widow size has changed.
 OK
 Clicking on OK will save your settings.
 Cancel
Cancel will cancel all the changes you have made to the terminal prefs dialog box.


Color setting

Color

Color Dialog Box

This command can be invoked either from the settings menu or from the settings dialog box.
 You can select color settings for the text and the window's background by selecting color command from the settings menu for terminals other than VT100 (ANSI Color) terminal. For ANSI Color terminal, by default, light gray text is shown on the black background. Select the element and then choose the desired color from a 16 predefined VGA colors. If these colors do not suit your needs then create your own color with the help of three RGB scroll bars. By changing the red, green and the blue component of a color, any desired color can be achieved. Once you have made your choice, save them by clicking the OK button. You may revert back to your original window colors by clicking on the default button.

Summary of Color controls:
Color Element Listbox
 Here you specify the element whose color you want to modify.
 Default
 When you click on this button, the window text and the background color would revert back to default colors of the window.
 Color Boxes
 You click here to choose one of the 16 colors for your background and text.
 Red, Green and Blue scrollbars
 These three scrollbar controls would enable you to customize your color. You change the red, green and blue component of a color to obtain a desired color. The color thus obtained is displayed in a rectangle. The RGB values are shown to the left of the scrollbars.


Default Directory

This command can be invoked either from the settings menu or from the communication settings dialog box. Here you specify the default directory for the file transfer and your session logs. If the session log option is enabled then the log file would be stored in the directory you specify in the session log edit box. Your downloaded files from the remote system will go to the directory specified in the default download directory edit box.

Enable the session capture checkbox if you would like to capture the session to a log file.


Modem Settings

Modem Setting

This option can either be selected from communication settings dialog box or from the settings menu. You select your modem by clicking on your modem type in the list box and then selecting OK. If you do not find your modem in the listbox then select a custom modem option. If you wish to modify modem strings then click on the select button. This would open up modem string dialog box.
 These strings enable WinTel-Dialup to initialize, reset, dial and hangup the modem. Following is the description of modem strings:
Dial
 This command places the modem in originate mode and dials a number and attempt to make a connection. The dial string is built from the command in the prefix string, P(Pulse) or T(tone) and the phone number. The default prefix string is ATD and the suffix string is a carriage return (^M). You may never have to modify this.
 Hangup
 The command in here forces the modem to hangup. The default string is ATH.
 InitString
 This is an initialization string which is sent to the modem. The default Hayes compatible string is ATS0=0Q0V1E1. Different modem vendors may specify own their initialization string. Consult your modem manufacturer’s user guide in case you experience a problem with the initialization. Add characters &C1 if
 the data carrier is on by default.
 Reset
 The string in here soft resets the modem. Reset restores the default factory setting or a stored profile setting. The default is ATZ
 Escape
 This is a sequence to switch modem from data mode to command mode. The default is
<guard time>+++<guard time>. When you are connected to remote, you can type in +++ in succession and the modem would switch from data mode to command mode. You can reestablish the connection by typing ATO.
 Valid dial characters
 The characters in here are the valid characters in a dial string. However, you may add any dial modifiers not found in here but listed in your modem’s documentation.
Modem result code dialog box

This dialog box is invoked from the result code button in the modem string dialog box. Following result codes are available:
 Busy
 This string is sent by your modem to your computer when the number you dial is busy. The default is BUSY
 Dialtone
 This string is sent by your modem when there is no dialtone. The default is NO DIALTONE.
 Carrier
 This string is sent by modem to your computer when there is no carrier. The default is NO CARRIER.
 Answer
 This string is sent by modem to your computer when there is no answer. The default is NO ANSWER.
 Error
 This string is sent by your modem to your computer if the command sent to the modem is invalid. The default is ERROR.
 OK
 This string is sent by your modem to your computer when the modem acknowledges a command. The default is OK.
 Timeout
 This string is sent by your modem to your computer when modem timeouts while making an connection. The default is TIMEOUT.
 Connect
 This string is sent by modem to your computer when connection has been established. The default is CONNECT.


Fonts setting

Fonts

You can select font command from the settings menu or from communication settings dialog box. A list of all the fixed size fonts are shown in listbox. A font is selected by clicking on the desired entry in the font listbox and selecting the point size in the size listbox.. To display IBM PC’s graphic character set, select Terminal as your font. To display international character set, choose a font other than "Terminal" font.


Keyboard setting

Keyboard

This command can be invoked either from Settings menu or from communication settings dialog box. You can examine keycode sent to the remote computer by clicking on the desired key. Here you can also define function keys and the keypad keys for your purposes. In VT320, VT220, VT102 and VT100 and VT52 mode, your function keys F1 to F4 behave like those of DEC's PF1 to PF4. Keep the Num Lock key down to emulate the DEC’s VT100 keypad. Codes sent by numeric keypad 9 to . are same as those sent by DEC's VT100 terminal. Keys Pageup, Pagedown, Home, End and Insert emulate DEC’s Prev Screen, Next Screen, Select, Remove and Insert here respectively Function key F5 behaves as a DEC’s DO key. If you redefine the function keys then the original setting can be restored by clicking on the Default pushbutton.
Arrow and Keypad Key Dialog Box
This dialog box is invoked from the keyboard dialog box. The dialog box displays the arrow and keypad sequence sent to remote in application mode ( this mode is set by the host) when you press any of these keys. The codes sent depend on the type of terminal emulation you have chosen. With the num lock key down, the codes sent by keys 9 thru "." are same as those of DEC’s VT100 and VT 52 terminals. If you have chosen VT100 as your terminal emulation then page up/down key take you 1 page forward/backward while using DEC’s EDT and home/end key take you to the top/bottom of a file.

Definition of function keys

You invoke this dialog box from the keyboard dialog box.You make an assignment to the function key and the keypad key by typing in the string in the edit box. If you want to assign a string to the shifted function key then check the shifted box. Remember to type "Enter" key as ^M. Similarly all control keys are prefixed by a caret ^. For example if you want to define key F5 as control-Z then you would enter ^Z in the edit box. If you want the definition to contain an escape character (ASCII 27) then you would enter ^[. ASCII values greater than 126 (non-printable characters) can be entered by prefixing it with a backslash character followed by a two character hex code. The maximum number of characters allowed in the edit box is 15.


File transfer and protocols

Protocol

Protocol is a set of rules which define how computers can communicate. You select the file transferprotocol by first invoking the protocol dialog box from the settings menu or from the communication setting dialog box. Select the desired protocol from the listbox. The default and the recommended protocol for file transfer is ZMODEM. You may specify maximum number of errors allowed before the transfer aborts. The default value is 5. You can also specify if the system should make a backup file in case the file you are receiving has same name as an existing file. This however does not apply if in the ZMODEM protocol, you have selected crash recovery option.
Following protocols are supported:

XMODEM/Checksum
This protocol transfers data in 128 byte packets. It does error checking of the data with checksum. It is reliable but is slow because of the small packet size. Also it does not have a batch transfer capability.
XMODEM/CRC
This protocol transfers data in 128 byte packets. It does error checking of the data with 16 bit CRC. It is reliable but is slow because of the small packet size. Also it does not have a batch transfer capability.
XMODEM (1K)
This protocol transfers data in 128 and 1024 byte packets. It is an extension of XMODEM/CRC. This protocol is also known incorrectly as YMODEM. This is not a batch protocol therefore only one file can be transferred per transfer.
YMODEM(BATCH)
Like XMODEM(1K), this protocol transfers data in 128 and 1024 bytes data blocks but in its first block it sends the filename, filesize and the file creation date. This protocol is fast, reliable and has a batch transfer capability.
YMODEM(BATCH -g )
 Like XMODEM(1K), this protocol transfers data in 128 and 1024 bytes data blocks but in its first block it sends the filename, filesize and the file creation date. This protocol does not have intermediate acks and naks. Therefore it is more suited for the hardwired connection. This protocol is extremely fast but not recommended because a single error would cause the retransmission of the entire file. This protocol has a batch transfer capability.
ZMODEM
This is perhaps the most popular protocol today. It is fast because in can do full streaming, very reliable and allows batch file transfers. Also it allows the transfer of partial files (known as crash recovery) in case transfer was aborted.

KERMIT
 This protocol was developed at Columbia University and is available for almost any operating system. This protocol would work over any communication channel as long it
 is capable of receiving and sending printable ASCII characters. The maximum size of a packet in the original kermit is limited to 94 bytes. But with the extended packet option, this size has been extended to 9024 bytes. WinTel-Dialup supports extended packet size option.

Related topics

File Transfer


Edit

Following commands are available:
Copy and Paste
 Clearing Scroll Buffer

Copy and Paste
If you want to send the text from the clipboard, first copy the text to the clipboard. This can be done either from some other application or from your own screen. You select the text to be copied to the clipboard by pressing on the left mouse button and dragging over the text you want copied. Once the text is selected, choose copy command from the edit menu. Your text will be copied to the clipboard. Next choose the transmit command from the edit menu.. Your text will be transmitted. If you choose the print copy command then the output would go to your printer You can also transmit the selected text by first making the selection and then pressing the right mouse button.

Clearing Scroll Buffer
When you receive text from the remote computer, this text is placed in a buffer which can be viewed by using vertical scroll bar. If you want to clear this buffer, use the clear buffer command from the Edit menu.


Sending file

File Transfer

Receiving Files
If you want to receive files using ASCII, XMODEM or YMODEM Batch protocol. You choose receive command from the File transfer menu. This must be done after the remote system has informed you that it is ready to send you the files. Once you have selected the receive command, you will be asked for a filename of the downloaded file in case of ASCII and XMODEM (All flavors) protocol.
If you have opted for YMODEM batch or KERMIT protocol, no such dialog box appears as the filename is contained in first block of the data packet.
For ZMODEM, do not choose receive file command from the menu.This program will automatically detect the transfer once the downloading starts.
Once the file transfer starts, you will see a window with the statistics such as file name, total number of bytes to receive, number of bytes received etc. You may abort the transfer anytime by clicking on the Cancel button.

Sending Files
First you inform the remote system that you wish to upload files.As for the receiving files, you select the protocol which matches with the remote system. If you need to send multiple files choose YMODEM Batch, ZMODEM or KERMIT protocol. A dialog box would appear asking you for the name of files which you wish to transfer. For batch operationsbatchlisthelp you may review the file list to be uploaded and make more additions or deletions. Once you are done, click on the done button. Another window would appear which shows you the file transfer statistics. If you wish to abort the transfer then simply click on the Cancel button. Once your transfer is complete, you will see a message to this effect in the transfer window. Click on the OK button to remove the transfer window from the screen.

Batchlist Dialog Box
 Batch list dialog box is invoked when you want to upload file using ZMODEM or YMODEM protocols. It is also invoked when you want to uudecode internet files. Following buttons are available:
Done
 You click on this button when you are done with creating a batchlist and ready to execute
 previous command.
 Delete
 You click on this button to delete an entry from the batchlist.
 Add
 Add button is clicked when you want to add a file entry to the batchlist.
Related Topic:
File Transfer Options


File Transfer Options
File Transfer Options
ASCII File Transfer Dialog Box

This dialog box is invoked from the protocolprotocolhelp dialog box. Most systems require you to send a character to initiate the file transfer. This usually is a "return". Type in ^M if the remote system requests you to send a carriage return for downloading ASCII file. Some systems send a control character as an end of file transfer. This usually is control T. Type in ^T in the EOF character edit box.
There are three items in this dialog box:
Summary of ASCII transfer dialog box controls
Strip Linefeed when Sending
In a MS-DOS text file, a line is terminated by a carriage return (ASCII 13) and a line feed (ASCII 10). You enable this option if the remote system requires you to strip away the line feed.
 Character to Initiate transfer
 Remote system may require you to send a character to initiate ASCII file transfer. This usually is a carriage return. Enter that character in the edit box here.
 Character to end file transfer
 This is the character which remote computer sends to indicate the end of file transfer. You type in this character in the edit box.
 Inter-line delay
 Here you specify the delay in milliseconds after each transfer of a line of text. The default is no delay.
 Inter-character delay
 Here you specify the delay in milliseconds for each transfer of a character. The default is no delay.
ZMODEM option dialog box
This dialog box is invoked from the protocolprotocolhelp dialog box. There are three check buttons in this dialog box. They are:
Send skip if file exists
 If you are downloading a file and this file already exists in your directory and it is of the same size then the system would inform the remote to skip sending this file if this option is enabled. A check mark would appear when this option is enabled.
 Crash recover
 If you are downloading a file and this file already exists in your directory and the size of the file is smaller, then the system would inform the remote of sending the file starting from the current size of the file.
 Segmented streaming
 This option enables segmented streaming i.e. there are intermediate acknowledgments. This would slow down the file transfer. This option however is useful if you are storing your data onto a floppy.
 Escape control
 This option enables all control characters to be escaped. This is useful if the network you are connected to does not pass control characters. For example, if you are telnetting to another unix machine and the mode of connection is ASCII, then by enabling this option, you would be able to do file transfer directly to your machine
KERMIT options
This dialog box appears when you click on the options button in the protocol dialog box and you have selected KERMIT protocol in the listbox. For the block check option, WinTel-Dialup supports block check type 1 and 2.
 Following are the options available:
 Maximum buffer size
 Here you specify maximum possible packet size for KERMIT. The maximum size allowed is 9024 bytes. However, your remote computer must be capable of sending and receiving packet of this size. The bigger the packet size, faster would be the file transfer. It is recommended that you use 1024 bytes as the packet size.
 Eight bit prefixing
 Enable this option if your communication channel is 7 bit wide.


Receiving Files

If you want to receive files using ASCII, XMODEM or YMODEM Batch protocol. You choose receive command from the File transfer menu. This must be done after the remote system has informed you that it is ready to send you the files. Once you have selected the receive command, you will be asked for a filename of the downloaded file in case of ASCII and XMODEM (All flavors) protocol.
If you have opted for YMODEM batch or KERMIT protocol, no such dialog box appears as the filename is contained in first block of the data packet.
For ZMODEM, do not choose receive file command from the menu.This program will automatically detect the transfer once the downloading starts.
Once the file transfer starts, you will see a window with the statistics such as file name, total number of bytes to receive, number of bytes received etc. You may abort the transfer anytime by clicking on the Cancel button.


Sending file

Sending Files

First you inform the remote system that you wish to upload files.As for the receiving files, you select the protocol which matches with the remote system. If you need to send multiple files choose YMODEM Batch, ZMODEM or KERMIT protocol. A dialog box would appear asking you for the name of files which you wish to transfer. For batch operationsbatchlisthelp you may review the file list to be uploaded and make more additions or deletions. Once you are done, click on the done button. Another window would appear which shows you the file transfer statistics. If you wish to abort the transfer then simply click on the Cancel button. Once your transfer is complete, you will see a message to this effect in the transfer window. Click on the OK button to remove the transfer window from the screen.

Batchlist Dialog Box
Batch list dialog box is invoked when you want to upload file using ZMODEM or YMODEM protocols. It is also invoked when you want to uudecode internet files. Following buttons are available:
Done
 You click on this button when you are done with creating a batchlist and ready to execute
 previous command.
 Delete
 You click on this button to delete an entry from the batchlist.
 Add
 Add button is clicked when you want to add a file entry to the batchlist.


Utilities

Viewing JPEG File
If you want to view a JPEG file while downloading it, enable the view JPEG realtime option from the utilities menu. Any file of type JPEG would be displayed on a separate window while being downloaded.

You can also view stored JPEG files by selecting view JPEG offline command from the utilities menu. This would activate a WinJPG task. By choosing "Open" from the file menu in WinJPG and selecting file of type JPEG, the file can be viewed. You can resize the picture by selecting stretch/shrink command in the File menu. You exit the JPEG viewer by choosing "Exit" command from the file menu.
Other utilities:

UUENCODE
uuencode utility allows you to encode a binary file to an ASCII file so that it can be transmitted on Usenet or send as an email on an internet. When you select this option from the utilities menu, toolbarhelpYou will be asked for the file name to encode. Select the file and your file be encoded with the extension "uue". If your input file is of large size then the output file is split over into multiple files with sequence numbers appended to the file name. The first line of encoded file contains "begin 600 filename" and the last line has an "end".

UUDECODE
uudecode utility allows you to decode uuencoded file. Generally on an internet, a uuencoded file is transmitted in a batch because of its large size i.e. file a.uue may be transmitted as a1.uue and a2.uue. You select this option from the utilities menu. You would then be asked for the file names which need to be uudecoded. Once you have selected your files, press on the done button and your file will be decoded. Make sure that each of the files contain a "begin" at the start of the decoded text and an "end" at the end of the decoded text.

Unix to DOS Text File Conversion
This command is executed when you select Unix-to-DOS convert command in the utilities menu. With this utility you can convert a text file downloaded from an Unix machine to the MS-DOS format. This utility essentially changes the Unix newline character NL (ASCII 10) to CR (ASCII 13) and LF (ASCII 10). The DOS file is created with a .DOS extension. This operation can be performed in batch mode.
DOS to Unix Text File Conversion
This command is executed when you select DOS-to-Unix convert command in the utilities menu. With this utility you can convert a text file in the MS-DOS format to Unix format This utility essentially changes the CR (ASCII 13) and LF (ASCII 10) characters to single Unix newline character i.e. NL (ASCII 10). The Unix file is named with an .UNX extension. This operation can be performed in batch mode.


print

Printing and Session Capture

Printing
You can print your session log file by selecting print logfile command from the File menu. You will be asked for the file name to be printed. Select the desired file and your file would be printed. You can also print the saved scroll back buffer by selecting print buffer command from the File menu.

Some unix programs have the option to send data directly to your desktop printer. This is known as transparent printing. If WinTel receives the appropriate escape sequence to print data and you have enabled this "Transparent Print" option in the file menu, the data would be printed to your printer.

Session Capture
Select session capture command from the session menu. You can direct all your incoming data from the remote system onto to a file for later viewing and printing. Your session log file name would be the name of the online service you are connected to with log extension. You can stop capturing the session by reselecting the capture session command from the session menu.


Chat Mode

With this option you can chat with the user logged onto a remote computer. When you make this selection, your window will split into two halves. The upper window will display the text you type in and the bottom window would show you the response from the remote user. Before you can commence chatting, you must first establish a connection. This can be done either your dialing in to his/her system or wait for a call from the other end. If the other end wants to dial in to your system, you must first open your communication port. Use the phonebook, make an entry with no phone number and phonetype set to none and click on the dial button. This would open up the communication channel. From the session menu, enable the "Answer " command and then wait for the call. However, If this option is disabled, then any incoming call would result in a "RING" text on your screen. You type in "ATA" and the connection would be established. Enable the chat mode if you have not already done so. Now you are ready to chat. Disconnect the connection by choosing "Hangup" command from the session menu or hangup button in the toolbartoolbarhelp.


Scripts

Script is a file which would automate your login session.
Editing Scripts
Use Edit command in the script menu to call the notepad editor to edit a script file. Create a script file with an extension SCR Here is an example of a script file to connect to delphi service via a local sprintnet number:

All comments in the script file begin with !.

!
 ! connect to delphi
 ! define timeout for waitstring command. The default is 10 seconds. You may place this
! timeout anywhere before waitstring command.
 timeout 5
!
 ! Transmit string in quotation to remote
 send "@D"
 ! Wait for string "terminal" from the remote computer
 waitstring "terminal: "
 ! once it finds string "terminal" it sends a carriage return
 send "^M"
 ! transmit "c delphi"
 send "c delphi"
 ! wait for string "username:" from remote"
 waitstring "username:"
 ! Send the username "jjohn"
 send "jjohn"
 ! waits for string "password:" from remote
 waitstring "password:"
 ! sends password "abcdef"
 send "abcdef"
 ! exit from script
 exit

Executing Script
Once you have created a script file and you have made an entry of the service in the phonebook, you can execute it either from the command execute in the Script menu or by clicking on the Autolog button in the phonebook.


Troubleshooting

Setting Problems
Problem
 When entering service name in the communication setting dialog box, the system gives an error message saying "no service name or invalid service name specified"
 Solution
 Following characters are not allowed in the name i.e. /, \, [, ], , |, , <, +, =, ., *, ?. These are the same characters not allowed in a DOS file naming convention. Any text following a space or first 8 characters is treated as a comment to the name.
 Problem
 When entering phone number and you want non-numeral characters and the system tells you that it is an invalid phone number.
 Solution
 Edit your modem’s string dialog box. There is a field called valid dial characters. You may add any characters you want to be included in the phone number field.

Connecting Problems
Problem
 Can not open comm port
 Solution
 Your comm port may be in use by some other application. Also check the comm port setting in the communication setting dialog box. You can find out the ports available in your computer by running a program called MSD. See if the assigned port is available in your computer.

Problem
 Can not connect at 14.4K
 Solution
 This problem is observed with some modems. Try selecting the baud rate of 19200. You would still get the carrier of 14.4K but the baud rate between your computer and the modem is set for 19200.
Problem
 Can not open communication port for manual dialing or in answerback mode.
 Solution
 In the phonebook, make an entry with no phone number field specified and set the phone type field to none.
Problem
 No response from modem
 Solution
 Check your port. In the Misc. menu, select check modem port command. This would tell you which port your modem is connected to. Then make this port selection in the communication setting dialog box. If you are still experiencing the problem then check your Init string. Consult your modem’s documentation for the right Init string. Type in the Init string in the InitString edit box of modem’s setting dialog box. If even this fails then check the baud rate. If it is 14.4K then try selecting 19200 as your baud rate in the communication setting dialog box.
Problem
 After connecting, the program loses the carrier immediately.
 Solution
 Make sure you set either the hardware (RTS/CTS) or both (hardware & xon/xoff) as your flow control.
Problem
 After connecting, garbage characters appear.
 Solution
 Perhaps, you are connected to 7 databit communication channel. Select 7 databits and even or odd parity in the Communication Parametercommunicationparameterhelp dialog box.
File Transfer Problems
Problem
 While receiving, if you cancel zmodem file transfer, garbage characters appear and the system stops responding.
 Solution
 Try typing 5 consecutive CTRL-X (control X) characters.
 Problem
 To many errors while receiving files in zmodem.
 Solution
 Make sure you are using either the hardware or both (hardware and xon/xoff) flow control. The flow control can be set in the terminal preference dialog box.

JPEG and uudecode problem
Problem
 JPEG picture colors do not seem to be right
 Solution
 Your display card or the display driver you have selected may not support 256 colors.
 Problem
 While uudecoding, system warns of an illegal line number.
 Solution
 Some uudecoded file lines have an extra character at the end of line. In that case ignore this message. This message is also caused when instead of "begin" text at the start of uudecoded text you have some other text such as section. In that case ignore this message


Contact

Contact Information

You can contact me by sending an email at SatMehrotra@yahoo.com .

For latest info on WinTel32, visit my Web page at http://www.smehrsoft.com


.topic 1
Select background/foreground color
.topic 2
Select Colors
.topic 3
Red component of a color
.topic 4
Green Component of a color
.topic 5
Blue component of a color
.topic 6
Select default colors for the background/foreground
.topic 7
Black
.topic 8
Dark Red
.topic 9
Dark green
.topic 10
Dark blue
.topic 11
Dark cyan
.topic 12
Dark magenta
.topic 13
Dark gray
.topic 14
Gray
.topic 15
Red
.topic 16
Yellow
.topic 17
Blue
.topic 18
Magenta
.topic 19
Cyan
.topic 20
White
.topic 21
Red value
.topic 22
Green Value
.topic 23
Blue value
.topic 24
Selected color


.topic 9
Name of service provider (host)
.topic 10
Phone number of service provider
.topic 11
Phone prefix number
.topic 12
This is pulse dialing
.topic 13
This is tone dialing
.topic 14
This is direct serial connection
.topic 15
None Parity for serial communication.
.topic 16
Odd parity for serial communication.
.topic 17
Even parity for serial communiaction
.topic 18
One stop bit for serial communication
.topic 19
2 stop bits for serial communication
.topic 20
8 databits for serial communication
.topic 21
7 databits for serial communication
.topic 22
Baudrate (speed) for serial communication in bits per second (bps)
.topic 23
Communication port name (COM1-COM8)


.topic 1
Enter default directory name where downloaded files should be stored.
.topic 2
Enter default directory name where session captured files should be stored.
.topic 3
Select desired directory where downloaded files should be stored.
.topic 4
Select desired directory where session captured file should be stored.
.topic 5
Enable/Disable session capture.


.topic 1
Available fixed fonts in the system
.topic 2
Font size of your selected font
.topic 3
Script type of your selected font
.topic 4
Sample text of your selected font


.topic 1
Modems supported by this software


.topic 1
Strip linefeed when sending data when using ASCII protocol
.topic 2
Character which should be sent from remote to start a file transfer when using ASCII protocol
.topic 3
Character which should terminate a file transfer when using ASCII protocol
.topic 4
Inter line delay in milliseconds which this program uses when sending lines of text using ASCII protocol
.topic 5
Inter-character delay in milliseconds when this program sends data to the remote using ASCII protocol
.topic 6
If a file to be downloaded already exists in local drive then send a skip command to the remote so that no file is transferred when using zmodem protocol
.topic 7
If previous transfer was aborted then this program tries to start a download at the point where it earlier left out  when using zmodem protocol
.topic 8
This option enables segmented streaming i.e. there are intermediate acknowledgments. This would slow down a file transfer. This option however is useful if you are storing your data onto a floppy
.topic 9
This option enables all control characters to be escaped when using zmodem protocol
.topic 10
Here you specify maximum possible packet size for KERMIT. The maximum size allowed is 9024 bytes.
.topic 11
Enable this option if  your communication channel is 7 bit wide


.topic 1
All phonebook entries
.topic 2
Phonebook entries for batch dialing
.topic 3
Close this dialogbox
.topic 4
Dial a selected entry
.topic 5
Use script to automate dialing
.topic 6
Display help for this dialogbox
.topic 7
Enable/Disable batch dialing
.topic 8
Remove selected entry from batch dialing
.topic 9
Delete selected entry from phonebook
.topic 10
Add entry to the phonebook
.topic 11
Edit selected entry in the phonebook
.topic 12
Edit dialing options
.topic 13
Copy selected entry to a new entry
.topic 14
Phone number
.topic 15
Communication parameters


.topic 1
Available file transfer protocols
.topic 2
Maximum number of errors allowed before download/upload aborts.
.topic 3
Flag to denote if a file should be backed up when downloading a file having the same name as the file on your disk


.topic 1
Name of terminals which can be emulated
.topic 2
Terminal id which is sent to the host for TCP/IP connection
.topic 3
Terminal width of 80 columns
.topic 18
Terminal width of 132 columns
.topic 4
Height of terminal window in number of rows
.topic 5
Number of lines of text saved for viewing when scrolling through a window
.topic 6
Enable/Diable control characters for viewing
.topic 7
Local echo of characters when typed as opposed to host echo.
.topic 8
When Carriage return is returned from the host, program adds a linefeed to display
.topic 9
When Carriage return is pressed, program adds a linefeed when sending the data to the host
.topic 10
Autowrap text when length of a line exceeds terminal width
.topic 11
Interchange the behaviour of backspace and delete keys
.topic 12
Disable scrolling of text when text reaches last line of the terminal.
.topic 13
Set the keypad to application mode (used in VTxxx emulation)
.topic 14
Strip high bit so that the program zeroes out the eighth bit. Useful for 7 bit character set
.topic 15
Window is not allowed to be resized.
.topic 16
Window is allowed to resized when user resizes it.
.topic 17
Window can be resized. But fonts are proportionally resized so that height and width of a window remains the same
.topic 19
Communication flow control used when communicating with the host. Hardware flow control implies the hardware controls the data
flow when buffer is about to overflow. XON/XOFF flow control is a software flow control.